<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="SCRIPT-EDITOR">
		<table width="100%" border="0" cellpadding="10" cellspacing="0">	
			<tr>
				<td>
					<fieldset class="SB_ToolBar_FieldSet">
						<legend class="SB_Toolbar_title"><xsl:value-of select="@CAPTION"/></legend>
						<input type="hidden" name="moduleInstance" id="moduleInstance">
							<xsl:attribute name="value">
								<xsl:value-of select="@MODULE-ID"/>
							</xsl:attribute>
						</input>
						<textarea name="code" class="SB_Control_Input_Input" style="width:100%; height:360px;">
							<xsl:value-of select="@CODE-AREA-CONTENT"/>
						</textarea>
					</fieldset>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:call-template name="BLOCK-MODULE-BUTTONS"/>
				</td>
			</tr>			
		</table>
	</xsl:template>
	
</xsl:stylesheet>